explain_writev_or_die(3)

NAME
explain_writev_or_die - write data from multiple buffers and report errors
    "write data from multiple buffers and report errors"

SYNOPSIS
#include <libexplain/writev.h>

ssize_t explain_writev_or_die(int fildes, const struct iovec *data, int data_size);
ssize_t explain_writev_on_error(int fildes, const struct iovec *data, int data_size);

DESCRIPTION
The explain_writev_or_die function is used to call the writev(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_writev(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_writev_on_error function is used to call the writev(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_writev(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the writev(2) system call.

data
    The data, exactly as to be passed to the writev(2) system call.

data_size
    The data_size, exactly as to be passed to the writev(2) system call.

RETURN VALUE
The explain_writev_or_die function only returns on success, see writev(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_writev_on_error function always returns the value return by the wrapped writev(2) system call.

EXAMPLE
The explain_writev_or_die function is intended to be used in a fashion similar to the following example:
    ssize_t result = explain_writev_or_die(fildes, data, data_size);

SEE ALSO

writev(2)
    write data from multiple buffers

explain_writev(3)
    explain writev(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller